<?php
define("NOM_SITE","Zine-buider");
define("TEXTE_FOOTER","Une expérimentation php-pdf pour l'erg");
define("VERSION","V0.3");

/* généralement on ne touche pas à ceci */
define("EXTENSION_OK","jpg,gif,png,svg");

define("DOSSIER_CONTENUS","contenus");
define("DOSSIER_ZINES",DOSSIER_CONTENUS."/zines");
define("DOSSIER_COURANT",DOSSIER_CONTENUS."/zines_courants");
define("DOSSIER_TEMPORAIRE",DOSSIER_CONTENUS."/tmp");
define("DOSSIER_VIGNETTES",DOSSIER_CONTENUS."/vignettes");
define("DOSSIER_ARCHIVES",DOSSIER_CONTENUS."/archives");

define("CHEMIN", str_replace(array("/admin","/includes"),"",realpath(''))."/");
// préfixe : important pour la sauvegarde des pièces jointes
if(isset($_SERVER['REQUEST_SCHEME'])){
    $pre=$_SERVER['REQUEST_SCHEME'];
} else {
    $pre="http";
}
$url_dir = preg_replace('/[^\/]+\.php(\?.*)?$/i', '', $pre . '://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
define("URL",str_replace(array("/admin","/process"),"",$url_dir));

// créer les dossier s'ils n'existent pas
if(!is_dir(CHEMIN.DOSSIER_CONTENUS)){
    mkdir(CHEMIN.DOSSIER_CONTENUS, 0775, true);
    mkdir(CHEMIN.DOSSIER_ZINES, 0775, true);
    mkdir(CHEMIN.DOSSIER_COURANT, 0775, true);
    mkdir(CHEMIN.DOSSIER_TEMPORAIRE, 0775, true);
    mkdir(CHEMIN.DOSSIER_ARCHIVES, 0775, true);
    mkdir(CHEMIN.DOSSIER_VIGNETTES,0775, true);
    // css pour la personnalisation
    file_put_contents(CHEMIN.DOSSIER_CONTENUS."/custom.css", "/*  Personnalisez la css du site ici  */");
} 

include(CHEMIN."includes/Spyc.php");

// charger les infos du site dans le yaml
if(!file_exists(CHEMIN.DOSSIER_CONTENUS."/config_site.yaml")){
    // mise en place du site lors du premier lancement
    copy(CHEMIN."/admin/config_site.yaml",CHEMIN.DOSSIER_CONTENUS."/config_site.yaml");
    copy(CHEMIN."/admin/config_access.yaml",CHEMIN.DOSSIER_CONTENUS."/config_access.yaml");
    // rerouter vers l'admin !
} 
?>